Bug#372950: boinc-client: should depend on newer adduser from
testing
Frank S. Thomas
frank at thomas-alfeld.de
Tue Jun 13 09:47:39 UTC 2006
package boinc-client
tags 372950 + pending
stop
On Monday 12 June 2006 17:25, christoph martin wrote:
> when using boinc-client in a mixed stable testing Debian environment
> the postinst stops with the following error:
>
> Setting up boinc-client (5.4.9-1) ...
> useradd: unknown group boinc
> adduser: `/usr/sbin/useradd -d /var/lib/boinc-client -g boinc -s /bin/false
> -u 111 boinc' returned error code 6. Aborting.
>
> Using the adduser version from testing everything ist working ok.
Hi Christoph,
I'm going to commit the patch below, which should ensure that the group boinc
exists when trying to create the user boinc. With this patch we also don't
need to tighten the dependency on adduser.
Index: boinc-client.postinst
===================================================================
--- boinc-client.postinst (revision 446)
+++ boinc-client.postinst (working copy)
@@ -17,8 +17,14 @@
case "$1" in
configure)
+ # Create boinc group if it doesn't already exist.
+ if ! getent group boinc >/dev/null; then
+ addgroup --quiet --system boinc
+ fi
+
+ # Create boinc user if it doesn't already exist.
if ! getent passwd boinc >/dev/null; then
- adduser --quiet --system --group --home $BOINC_DIR \
+ adduser --quiet --system --ingroup boinc --home $BOINC_DIR \
--gecos "BOINC core client" boinc
fi
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: not available
Url : http://lists.alioth.debian.org/pipermail/pkg-boinc-devel/attachments/20060613/26071cb0/attachment.pgp
More information about the pkg-boinc-devel
mailing list